// ExplorerDlg.h : header file
//

#if !defined(AFX_EXPLORERDLG_H__E620D665_343B_4688_B538_88B84DB15B4B__INCLUDED_)
#define AFX_EXPLORERDLG_H__E620D665_343B_4688_B538_88B84DB15B4B__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CExplorerDlg dialog

class CExplorerDlg : public CDialog
{
// Construction
public:
	void PopulezFisiere();
	void PopulezDirector();
	BOOL m_bInainte;
	CStringList m_strLista;
	POSITION pos;
	CString m_strDisc;
	void PopulezCombo();
	CExplorerDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CExplorerDlg)
	enum { IDD = IDD_EXPLORER_DIALOG };
	CListBox	m_lbDirector;
	CListCtrl	m_lcFisiere;
	CComboBox	m_cbDisc;
	long	m_lnTotalDimensiune;
	int		m_nTotalDirectoare;
	int		m_nTotalFisiere;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CExplorerDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CExplorerDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnSelchangeDisc();
	afx_msg void OnDblclkDirector();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_EXPLORERDLG_H__E620D665_343B_4688_B538_88B84DB15B4B__INCLUDED_)
